Firebird 2.1.2 Changes in Ubuntu Karmic and Debian

New packages for Ubuntu karmic and debian unstable are released with security and bug fixes
Here is the change log for the firebird2.1 (2.1.2.18118-0.ds1-4) package in Ubuntu Karmic and Debian Unstable and Testing :

* add patch from upstream CVS fixing denial of service (daemon crash)
via a malformed op_connect_request message (CVE-2009-2620)
Closes: #539478. Thanks to Giuseppe Iuculano
* rules: disable parallel MAKE
the targets are now chained so no simultaneous satisfaction of classic and
super build can commence. also, upstream sources aren’t to be made in
parallel so pass -j1
Closes: #538870. Thanks to Bastian Blank

1 Star2 Stars3 Stars4 Stars5 Stars (No Ratings Yet)
Loading...

Firebird2.1 moved from Debian experimental to sid (unstable)

Today i have installed Debian Lenny in an kqemu/kvm virtual machine (managed by virt-manager under  ubuntu jaunty )

firebird by default there is 2.0.4 so i wanted the latest firebird2.1 stable from debian so i just dist upgraded the lenny to sid

by replacing all lenny words from /etc/apt/sources.list with sid then i did from console

an apt-get update && apt-get dist-upgrade after that i have now access to firebird2.1 just released for sid

then in terminal apt-get install firebird2.1-super and after that  dpkg-reconfigure firebird2.1-super

1 Star2 Stars3 Stars4 Stars5 Stars (No Ratings Yet)
Loading...

Building Firebird 2.5 from Debian git repository

These are the general notes on building Firebird 2.5 from debian git , and it should work on any debian based distro like ubuntu or others

1 Star2 Stars3 Stars4 Stars5 Stars (1 votes, average: 3.00 out of 5)
Loading...
1 4 5 6 7 8 9